package org.project.item.consumables;

import org.project.entity.Entity;

public class Flask extends Consumable
{
    public Flask()
    {
        super("Flask", 0);
    }

    @Override
    public void use(Entity target)
    {
        int healAmount = target.getMaxHP() / 10;
        target.heal(healAmount);
        System.out.println(target.getName() + " used " + getName() + " and recovered " + healAmount + " HP.");
    }
}
